#pragma once

namespace BasicFingerPaint
{
    [Windows::UI::Xaml::Data::Bindable]
    public ref class NamedColor sealed
    {
    private:
        static Windows::Foundation::Collections::IIterable<NamedColor^>^ all;
        static Platform::Array<Platform::String^>^ names;
        static Platform::Array<Windows::UI::Color>^ colors;

        Platform::String^ name;
        Windows::UI::Color color;

    public:
        NamedColor() {}

        property Windows::Foundation::Collections::IIterable<NamedColor^>^ All
        {
            Windows::Foundation::Collections::IIterable<NamedColor^>^ get();
        }

        property Platform::String^ Name
        {
            Platform::String^ get() { return name; }
        }

        property Windows::UI::Color Color
        {
            Windows::UI::Color get() { return color; }
        }

        static NamedColor^ FromName(Platform::String^ name);
    };
}